Debian Bug report logs - #565790
cat /proc/acpi/ibm/video and must press power button

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: jidanni@jidanni.org

Date: Mon, 18 Jan 2010 20:42:05 UTC

Severity: normal

Tags: pending, security

Found in version 2.6.32-5

Fixed in version linux-2.6/2.6.32-12

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ibm-acpi-devel@lists.sourceforge.net, linux-thinkpad@linux-thinkpad.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Mon, 18 Jan 2010 20:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to ibm-acpi-devel@lists.sourceforge.net, linux-thinkpad@linux-thinkpad.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Jan 2010 20:42:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: cat /proc/acpi/ibm/video and must press power button
Date: Tue, 19 Jan 2010 04:25:37 +0800
X-debbugs-Cc: ibm-acpi-devel@lists.sourceforge.net, linux-thinkpad@linux-thinkpad.org
Package: linux-2.6
Version: 2.6.32-5
File: /lib/modules/2.6.32-trunk-686/kernel/drivers/platform/x86/thinkpad_acpi.ko

(Don't) try this simple test:
In an xdm (or some other window manager perhaps) window, do
$ cat /proc/acpi/ibm/video

Voila. The screen goes black, the keyboard becomes useless, and even the
# (sleep 44; reboot)
job you had running on tty1 never completes. I.e., the system is
rendered inoperable. The only thing you can do at this point is hold
down the power button until vrrrr... it powers down. Then power back up
and let it recover its ext3 journals etc.

Notes: you have to run this experiment in xwindows. Doing it on tty1
just prints a few lines of text.

ThinkPad ACPI Extras v0.23
ThinkPad BIOS 1WET88WW (2.08 ), EC 1VHT28WW-1.04 #which I'm warned is out of date
IBM ThinkPad R50e, model 1834NV1




Added tag(s) security. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 18 Jan 2010 21:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Mon, 18 Jan 2010 22:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Jan 2010 22:33:14 GMT) Full text and rfc822 format available.

Message #12 received at 565790@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: linux-thinkpad@linux-thinkpad.org
Cc: 565790@bugs.debian.org
Subject: Re: [ltp] Bug#565790: cat /proc/acpi/ibm/video and must press power button
Date: Mon, 18 Jan 2010 23:32:01 +0100
[Message part 1 (text/plain, inline)]
On mar., 2010-01-19 at 04:25 +0800, jidanni@jidanni.org wrote:
> X-debbugs-Cc: ibm-acpi-devel@lists.sourceforge.net,
> linux-thinkpad@linux-thinkpad.org
> Package: linux-2.6
> Version: 2.6.32-5
> File:
> /lib/modules/2.6.32-trunk-686/kernel/drivers/platform/x86/thinkpad_acp
> i.ko
> 
> (Don't) try this simple test:
> In an xdm (or some other window manager perhaps) window, do
> $ cat /proc/acpi/ibm/video
> 
> Voila. The screen goes black, the keyboard becomes useless, and even
> the
> # (sleep 44; reboot)
> job you had running on tty1 never completes. I.e., the system is
> rendered inoperable. The only thing you can do at this point is hold
> down the power button until vrrrr... it powers down. Then power back
> up
> and let it recover its ext3 journals etc.
> 
> Notes: you have to run this experiment in xwindows. Doing it on tty1
> just prints a few lines of text.
> 
> ThinkPad ACPI Extras v0.23
> ThinkPad BIOS 1WET88WW (2.08 ), EC 1VHT28WW-1.04 #which I'm warned is
> out of date
> IBM ThinkPad R50e, model 1834NV1

Linux hidalgo 2.6.32-trunk-amd64 #1 SMP Sun Jan 10 22:40:40 UTC 2010
GNU/Linux
23:29:28 up 2 days, 21:47,  5 users,  load average: 0.44, 0.27, 0.14
corsac@hidalgo: cat /proc/acpi/ibm/video
status:		supported
lcd:		enabled
crt:		disabled
dvi:		disabled
auto:		disabled
commands:	lcd_enable, lcd_disable
commands:	crt_enable, crt_disable
commands:	dvi_enable, dvi_disable
commands:	auto_enable, auto_disable
commands:	video_switch, expand_toggle

This on a T61 with intel graphics
Product Name: 8897CTO
BIOS Version: 7LETC6WW (2.26 )
Vendor:       LENOVO

-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Mon, 18 Jan 2010 22:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Jan 2010 22:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Tue, 19 Jan 2010 00:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kamen Naydenov <pau4o@kagersoft.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 19 Jan 2010 00:00:05 GMT) Full text and rfc822 format available.

Message #22 received at 565790@bugs.debian.org (full text, mbox):

From: Kamen Naydenov <pau4o@kagersoft.com>
To: 565790@bugs.debian.org
Subject: cat /proc/acpi/ibm/video and must press power button
Date: Tue, 19 Jan 2010 01:58:21 +0200
I can confirm this behaviour.
After command:
$ cat /proc/acpi/ibm/video
In gnome-terminal, tty1 and even in single mode I have same:
- black screen
- non working keyboard (even SysRq comands)

I have similar ThinkPad as original bug reporter:
$ dmesg | grep -i think
[    8.461151] thinkpad_acpi: ThinkPad ACPI Extras v0.23
[    8.461155] thinkpad_acpi: http://ibm-acpi.sf.net/
[    8.461158] thinkpad_acpi: ThinkPad BIOS 1WET90WW (2.10 ), EC 1VHT28WW-1.04
[    8.461161] thinkpad_acpi: IBM ThinkPad R50e, model 1834JAG
[    8.467157] Registered led device: tpacpi::thinklight
[    8.469216] thinkpad_acpi: brightness: will use unverified default:
brightness_mode=3
[    8.469220] thinkpad_acpi: brightness: please report to
ibm-acpi-devel@lists.sourceforge.net whether it works well or not on
your ThinkPad
[    8.469928] input: ThinkPad Extra Buttons as /devices/virtual/input/input8
[   12.998886] thinkpad_ec: thinkpad_ec 0.40 loaded.
[   37.952662] input: /usr/sbin/thinkpad-keys as /devices/virtual/input/input11

I'm with latest BIOS and EC

maybe  this is connected with video dirvers.
lspci | grep -i Graphics
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM
Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 02)

best regards
Kamen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Wed, 27 Jan 2010 03:21:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jan 2010 03:21:30 GMT) Full text and rfc822 format available.

Message #27 received at 565790@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 565790@bugs.debian.org
Cc: linux-thinkpad@linux-thinkpad.org
Subject: Re: Bug#565790: cat /proc/acpi/ibm/video and must press power button
Date: Wed, 27 Jan 2010 11:04:11 +0800
OK, I updated the BIOS. No improvement.
On tty1
$ cat /proc/acpi/ibm/video
status:		supported
lcd:		enabled
crt:		disabled
dvi:		disabled
auto:		disabled
commands:	lcd_enable, lcd_disable
commands:	crt_enable, crt_disable
commands:	dvi_enable, dvi_disable
commands:	auto_enable, auto_disable
commands:	video_switch, expand_toggle

But doing the same cat(1) command from inside of xwindows leaves the user
helpless. All he can do is hold down the power button to power off and
hope his ext3 journals are OK on the next powerup.

Even doing the above experiment in single user boot, then starting xdm,
with pstree showing only
init
  |-dbus-daemon --fork --print-pid 5 --print-address 7 --session
  |-dbus-launch --exit-with-session sh /home/jidanni/.xsession
  |-init
  |   `-bash
  |-pdnsd --daemon -p /var/run/pdnsd.pid -c /usr/share/pdnsd/pdnsd-resolvconf.conf
  |   `-3*[{pdnsd}]
  |-scim-helper-man
  |-scim-launcher -d -c simple -e all -f x11
  |-scim-panel-gtk --display :0.0 -c simple -d --no-stay
  |   `-{scim-panel-gtk}
  |-udevd --daemon
  |   |-udevd --daemon
  |   `-udevd --daemon
  `-xdm
      |-Xorg :0 vt7 -nolisten tcp -dpi 84 -auth /var/lib/xdm/authdir/authfiles/A:0-iyHUkZ
      `-xdm
          `-sh /home/jidanni/.xsession
              |-icewm-session
              |   |-icewm
              |   |-icewmbg
              |   `-icewmtray
              |-ssh-agent /usr/bin/ck-launch-session /usr/bin/dbus-launch --exit-with-session sh /home/jidanni/.xsession
              `-xterm -class UXTerm -title uxterm -u8
                  `-bash
                      |-mail -s pstree results jidanni
                      `-pstree -aAl
then typing
$ cat /proc/acpi/ibm/video
into an xterm, or hitting v on that file in emacs' dired, gives the same
dastardly results. Note I am not root here when I read it. Sure, I don't
go reading /proc/acpi/ibm/video every day. But the curious user should
have to resort to the power button if he steps on this landmine.
I don't know why other users don't see the same problem. I'm just
reporting this landmine to you. If you want me to send you the results
of some hardware prober script you send me, I'd be more than happy to.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Mon, 08 Feb 2010 23:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Feb 2010 23:57:07 GMT) Full text and rfc822 format available.

Message #32 received at 565790@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: jidanni@jidanni.org
Cc: 565790@bugs.debian.org, linux-thinkpad@linux-thinkpad.org
Subject: Re: [ltp] Re: Bug#565790: cat /proc/acpi/ibm/video and must press power button
Date: Mon, 8 Feb 2010 21:53:57 -0200
[Message part 1 (text/plain, inline)]
On Wed, 27 Jan 2010, jidanni@jidanni.org wrote:
> go reading /proc/acpi/ibm/video every day. But the curious user should
> have to resort to the power button if he steps on this landmine.

Sure.  I limited it to CAP_SYS_ADMIN now, which usually means root.

The patch will be sent for merging, but I can't promise it will be merged
before the next merge window for 2.6.34, and only after that will it be
a cantidade for a 2.6.32.y stable.

Patch attached for reference.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh
[lock-down-video-ctrl.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Mon, 08 Mar 2010 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Mar 2010 23:30:03 GMT) Full text and rfc822 format available.

Message #37 received at 565790@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: jidanni@jidanni.org, 565790@bugs.debian.org, stable@kernel.org
Subject: Re: [ltp] Re: Bug#565790: cat /proc/acpi/ibm/video and must press power button
Date: Tue, 9 Mar 2010 00:28:25 +0100
On Mon, Feb 08, 2010 at 09:53:57PM -0200, Henrique de Moraes Holschuh wrote:
> On Wed, 27 Jan 2010, jidanni@jidanni.org wrote:
> > go reading /proc/acpi/ibm/video every day. But the curious user should
> > have to resort to the power button if he steps on this landmine.
> 
> Sure.  I limited it to CAP_SYS_ADMIN now, which usually means root.
> 
> The patch will be sent for merging, but I can't promise it will be merged
> before the next merge window for 2.6.34, and only after that will it be
> a cantidade for a 2.6.32.y stable.
> 
> Patch attached for reference.

Adding stable@kernel.org to CC. Please apply for 2.6.32.x :
This was merged in Linus' git as b525c06cdbd8a3963f0173ccd23f9147d4c384b5

For the bug history: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=565790 

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Wed, 10 Mar 2010 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Mar 2010 20:33:06 GMT) Full text and rfc822 format available.

Message #42 received at 565790@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: jidanni@jidanni.org, 565790@bugs.debian.org, stable@kernel.org
Subject: Re: [ltp] Re: Bug#565790: cat /proc/acpi/ibm/video and must press power button
Date: Wed, 10 Mar 2010 17:29:42 -0300
On Tue, 09 Mar 2010, Moritz Muehlenhoff wrote:
> On Mon, Feb 08, 2010 at 09:53:57PM -0200, Henrique de Moraes Holschuh wrote:
> > On Wed, 27 Jan 2010, jidanni@jidanni.org wrote:
> > > go reading /proc/acpi/ibm/video every day. But the curious user should
> > > have to resort to the power button if he steps on this landmine.
> > 
> > Sure.  I limited it to CAP_SYS_ADMIN now, which usually means root.
> > 
> > The patch will be sent for merging, but I can't promise it will be merged
> > before the next merge window for 2.6.34, and only after that will it be
> > a cantidade for a 2.6.32.y stable.
> > 
> > Patch attached for reference.
> 
> Adding stable@kernel.org to CC. Please apply for 2.6.32.x :
> This was merged in Linus' git as b525c06cdbd8a3963f0173ccd23f9147d4c384b5

They should already have it somewhere in their queue, since I have Cc'd them
in the git commit message, which I understand is automatically parsed when
the commit gets merged in mainline.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Fri, 19 Mar 2010 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg KH <greg@kroah.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 19 Mar 2010 00:33:03 GMT) Full text and rfc822 format available.

Message #47 received at 565790@bugs.debian.org (full text, mbox):

From: Greg KH <greg@kroah.com>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, stable@kernel.org, 565790@bugs.debian.org, jidanni@jidanni.org
Subject: Re: [stable] [ltp] Re: Bug#565790: cat /proc/acpi/ibm/video and must press power button
Date: Thu, 18 Mar 2010 17:18:39 -0700
On Wed, Mar 10, 2010 at 05:29:42PM -0300, Henrique de Moraes Holschuh wrote:
> On Tue, 09 Mar 2010, Moritz Muehlenhoff wrote:
> > On Mon, Feb 08, 2010 at 09:53:57PM -0200, Henrique de Moraes Holschuh wrote:
> > > On Wed, 27 Jan 2010, jidanni@jidanni.org wrote:
> > > > go reading /proc/acpi/ibm/video every day. But the curious user should
> > > > have to resort to the power button if he steps on this landmine.
> > > 
> > > Sure.  I limited it to CAP_SYS_ADMIN now, which usually means root.
> > > 
> > > The patch will be sent for merging, but I can't promise it will be merged
> > > before the next merge window for 2.6.34, and only after that will it be
> > > a cantidade for a 2.6.32.y stable.
> > > 
> > > Patch attached for reference.
> > 
> > Adding stable@kernel.org to CC. Please apply for 2.6.32.x :
> > This was merged in Linus' git as b525c06cdbd8a3963f0173ccd23f9147d4c384b5
> 
> They should already have it somewhere in their queue, since I have Cc'd them
> in the git commit message, which I understand is automatically parsed when
> the commit gets merged in mainline.

Yes, I applied it to the .33.1 release.  But it does not apply cleanly
to the .32 kernel.  If you wish to see it there, please, can someone
provide me with a backported version?

thanks,

greg k-h




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#565790; Package linux-2.6. (Fri, 19 Mar 2010 13:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 19 Mar 2010 13:33:02 GMT) Full text and rfc822 format available.

Message #52 received at 565790@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Greg KH <greg@kroah.com>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, stable@kernel.org, 565790@bugs.debian.org, jidanni@jidanni.org
Subject: Re: [stable] [ltp] Re: Bug#565790: cat /proc/acpi/ibm/video and must press power button
Date: Fri, 19 Mar 2010 10:31:14 -0300
On Thu, 18 Mar 2010, Greg KH wrote:
> On Wed, Mar 10, 2010 at 05:29:42PM -0300, Henrique de Moraes Holschuh wrote:
> > On Tue, 09 Mar 2010, Moritz Muehlenhoff wrote:
> > > On Mon, Feb 08, 2010 at 09:53:57PM -0200, Henrique de Moraes Holschuh wrote:
> > > > On Wed, 27 Jan 2010, jidanni@jidanni.org wrote:
> > > > > go reading /proc/acpi/ibm/video every day. But the curious user should
> > > > > have to resort to the power button if he steps on this landmine.
> > > > 
> > > > Sure.  I limited it to CAP_SYS_ADMIN now, which usually means root.
> > > > 
> > > > The patch will be sent for merging, but I can't promise it will be merged
> > > > before the next merge window for 2.6.34, and only after that will it be
> > > > a cantidade for a 2.6.32.y stable.
> > > > 
> > > > Patch attached for reference.
> > > 
> > > Adding stable@kernel.org to CC. Please apply for 2.6.32.x :
> > > This was merged in Linus' git as b525c06cdbd8a3963f0173ccd23f9147d4c384b5
> > 
> > They should already have it somewhere in their queue, since I have Cc'd them
> > in the git commit message, which I understand is automatically parsed when
> > the commit gets merged in mainline.
> 
> Yes, I applied it to the .33.1 release.  But it does not apply cleanly
> to the .32 kernel.  If you wish to see it there, please, can someone
> provide me with a backported version?

Will do, it will be in the next batch of -stable thinkpad-acpi fixes.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 02 May 2010 08:09:04 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 03 May 2010 07:51:14 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Mon, 03 May 2010 07:51:14 GMT) Full text and rfc822 format available.

Message #59 received at 565790-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 565790-close@bugs.debian.org
Subject: Bug#565790: fixed in linux-2.6 2.6.32-12
Date: Mon, 03 May 2010 07:49:00 +0000
Source: linux-2.6
Source-Version: 2.6.32-12

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-12_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-12_all.deb
linux-2.6_2.6.32-12.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-12.diff.gz
linux-2.6_2.6.32-12.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-12.dsc
linux-base_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-12_all.deb
linux-doc-2.6.32_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-12_all.deb
linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb
linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
linux-image-2.6.32-5-486_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-12_i386.deb
linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
linux-image-2.6.32-5-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-12_i386.deb
linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
linux-libc-dev_2.6.32-12_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-12_i386.deb
linux-manual-2.6.32_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-12_all.deb
linux-patch-debian-2.6.32_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-12_all.deb
linux-source-2.6.32_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-12_all.deb
linux-support-2.6.32-5_2.6.32-12_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-12_all.deb
xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565790@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 01 May 2010 02:58:31 +0100
Source: linux-2.6
Binary: linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64 xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-openvz-686 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686
 xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-all-sparc64
Architecture: all i386 source
Version: 2.6.32-12
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 552299 563313 565790 572201 573071 574598 575681 576608 576758 576838 576925 576929 577047 577724 577735 578398 578568 579175 579410
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs
Changes: 
 linux-2.6 (2.6.32-12) unstable; urgency=low
 .
   * The "Microwave Background" release
 .
   [ Ben Hutchings ]
   * Prepare debconf templates for translation. (closes: #576758)
   * [x86] PCI/forcedeth: Disable MSI for MCP55 on P5N32-E SLI
     (Closes: #552299)
   * phylib: Fix typo in bcm63xx PHY driver table
   * linux-base: Fix bugs and improve libata transition code:
     - Fix scope of _system() function (Closes: #576925)
     - Fix case where a file may wrongly be listed as automatically converted
       (Closes: #577047)
     - Check device IDs in mdadm.conf rather than assuming it needs manual
       conversion
     - Use vol_id if available since the version of blkid in lenny does not
       support the output format we need (Closes: #576608)
     - Fix missing line breaks in updated crypttab (Closes: #577735)
   * i915: Stop trying to use ACPI lid status to determine LVDS connection
     (Closes: #577724)
   * forcedeth: Fix hardware version check for TX bug workaround
     (Closes: #572201)
   * rndis_host: Poll status channel before control channel (Closes: #576929)
   * megaraid_sas: Fix copying of sense data for 32-bit management tools on
     64-bit kernel (Closes: #578398)
   * Add ipheth driver for iPhone tethering
   * virtio_net: Make delayed refill more reliable (Closes: #576838)
 .
   [ maximilian attems]
   * [ia64] Built in fbcon.
   * Update openvz patch to c05f95fcb04e. (closes: #574598)
   * Reenable nouveau autoloading.
   * reiserfs: Fix permissions on .reiserfs_priv. CVE-2010-1146
   * libata,ata_piix: detect and clear spurious IRQs.
   * libata/SCSI: fix locking around blk_abort_request().
   * topconfig enable NET_DROP_MONITOR. (closes: #578568)
   * Add stable 2.6.32.12:
     - ACPI: EC: Allow multibyte access to EC; fixes temperature monitoring
       on some Dell laptops (Closes: #563313)
     - [x86] KVM: disable paravirt mmu reporting (Closes: #573071)
     - thinkpad-acpi: lock down video output state access (Closes: #565790)
     - xfs update (closes: #579410)
   * Add drm changes from stable 2.6.33.3:
     - drm/radeon: R300 AD only has one quad pipe (Closes: #575681)
   * libata: Fix accesses at LBA28 boundary (old bug, but nasty) (v2)
   * Add EC path for Thinkpad X100.
   * Bump ABI to 5, apply:
     - hrtimer: Tune hrtimer_interrupt hang logic
   * Add libata TRIM support.
   * Backport radeon r800 modesetting support.
   * drm/radeon/kms: further spread spectrum fixes.
   * Backport p54 fixes.
   * net: export device speed and duplex via sysfs.
   * postrm: rm modules.softdep. (closes: #579175)
   * Backport KVM: Xen PV-on-HVM guest support.
   * Backport KVM: x86: Add KVM_GET/SET_VCPU_EVENTS.
   * hugetlb: fix infinite loop in get_futex_key() when backed by huge pages
   * ext4: Issue the discard operation *before* releasing the blocks to be
     reused.
   * libiscsi: regression: fix header digest errors.
   * Revert module.c and module.h changes from -stable update.
 .
   [ dann frazier ]
   * Add DRBD backport
   * sctp: Fix skb_over_panic resulting from multiple invalid parameter
     errors (CVE-2010-1173)
   * [CIFS] Allow null nd (as nfs server uses) on create (CVE-2010-1148)
   * tipc: Fix oops on send prior to entering networked mode (CVE-2010-1187)
   * [powerpc] KGDB: don't needlessly skip PAGE_USER test for Fsl booke
     Note: KGDB is not currently enabled in debian builds (CVE-2010-1446)
 .
   [ Aurelien Jarno ]
   * [sh4] Add a sh7751r flavour.
   * [mips/*malta] Remove options that are present in topconfig.
 .
   [ Martin Michlmayr ]
   * dns323-setup.c: fix WARN() when booting (Arnaud Patard).
   * mips: enable PATA platform on SWARM and LITTLESUR (Sebastian Andrzej
     Siewior).
   * [mips/sb1-bcm91250a] Enable PATA_PLATFORM.
 .
   [ Bastian Blank ]
   * Update Xen patch.
Checksums-Sha1: 
 e25497d5f9fbe8299b86af52643c344a300ae153 6609 linux-2.6_2.6.32-12.dsc
 e3d93ccfd2e09eb215397df6488228b7be60f812 3296040 linux-2.6_2.6.32-12.diff.gz
 b3d10e19d28780fd40a1fa4650043d551369344d 142518 linux-support-2.6.32-5_2.6.32-12_all.deb
 67299f4f8b060a7b968dc56b315032d36332ed67 2717684 linux-patch-debian-2.6.32_2.6.32-12_all.deb
 57af7b2c635bf4d46d72d472b2db560ac70772bc 138482 linux-base_2.6.32-12_all.deb
 642f8b06151a0287be9691393a2091a9c5f329d6 131390 firmware-linux-free_2.6.32-12_all.deb
 030b27ce979901eb0d1d5ae9b466251f1c3d62e6 64381580 linux-source-2.6.32_2.6.32-12_all.deb
 ffbe2a231491f00cb10b962e79012c325f307930 6036760 linux-doc-2.6.32_2.6.32-12_all.deb
 e37ff9a9522230688d7f54a3f5b64a500ffeccf4 2705140 linux-manual-2.6.32_2.6.32-12_all.deb
 abdb38e48a9541c5b1271c0082e8521ff32a39ab 473568 linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
 33661570a6b3a2d89ee53c758c1a0b44f0e6f598 26964848 linux-image-2.6.32-5-486_2.6.32-12_i386.deb
 37b0d417649710aa051e8cf5e4951780dcc7ef61 474742 linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
 db19247015bcbeb50a0eb603af8fcebfacc3c817 27101906 linux-image-2.6.32-5-686_2.6.32-12_i386.deb
 bf3427e96bba6cd24157a534b97b2d420f6399cd 476450 linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 6feffe02fe1dbc05572d7dfa5033f4c5bcd1843c 27230528 linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 8ea69f8133295acd673a147ba615b1c027bfd503 468936 linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
 bb9e8bf9a308113c7b10eb94dff789a53dbe09b3 28191264 linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
 82f30d1403f3a1eee300e8722e8b210f4f9e9c4e 3868106 linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
 c78b598a62de46726ad21fc5312814b31d66c5eb 480784 linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 4db615aad1d747441f6271c3169e89f9b5554d81 27386558 linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 fe8192eca48ba9353d031936af0d81e24513adbe 3918734 linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
 61365777f65ca72a955ce9b1a1d3597a4bf61667 126484 linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
 f48e821855f1617987a678cb361a703f127e4d8a 126546 linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
 1b1cf22f2d0fc59723b1900e18c4f31f039ced7b 825400 linux-libc-dev_2.6.32-12_i386.deb
 ff826f1600766fe10d35cebc4ebd22c09fea00f6 475182 linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 91651df2ec42ad45901bb089569fc293b0b22bfa 27157134 linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 2caec044de2ac12b014facf8fc5a4ac3237a782d 476428 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 7df753b30dc5f43e2deeed4b8c37cb504fa0cf3f 27286894 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 58860e75aef9b098c6ccf662bdc1a68668cf9624 3901032 linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
 9e6049f5133fd732d92fec3386cd21f1c5cac676 479894 linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
 9e409668309532ce38945bc177fe19b44c97fbb5 27313660 linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
 9e5fac8630b2065fa4946e756172d9eea6be0de8 126478 xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb
 ad8ac18eff469a138becf78015f6fbd8f2bba6ea 3881290 linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb
Checksums-Sha256: 
 5dfd18ca77994772498f745973b772d1d7b2aa40313aa302eac8fcb12ed878cc 6609 linux-2.6_2.6.32-12.dsc
 cd43f042797bbc26289deea7445c9df70d653920f96aad9cfcf9d3e3e276e128 3296040 linux-2.6_2.6.32-12.diff.gz
 adbe56a9d9c0705481a9bc4075a87c25c21a793cdd6cfbf13801ed999a7348fb 142518 linux-support-2.6.32-5_2.6.32-12_all.deb
 a6455a29d46838a6ee6f0acf50d52987913aa89893f71aa826c6fa5c392e1597 2717684 linux-patch-debian-2.6.32_2.6.32-12_all.deb
 04e6bb5cc8038b70decaebbd073b17f225b2c243e426bcece3d6461c2fee52d2 138482 linux-base_2.6.32-12_all.deb
 6534e1766b0e7dc3e4042d2dc158fc0d0b5b053023b70bece915c4e753c5f110 131390 firmware-linux-free_2.6.32-12_all.deb
 7fcdfa9debee48b7b5bef7cabc4ecf6fe2663f2c4dcafa2bfae9f5c2ebd0da24 64381580 linux-source-2.6.32_2.6.32-12_all.deb
 d5856a0d7d22d3aeb170e218e0447293f2ff8389797bd68c6af4ceb5679f5bec 6036760 linux-doc-2.6.32_2.6.32-12_all.deb
 0680f4d266fea29e7dcf2610419c370a71f228bc423ac76f28b9339229faf4c9 2705140 linux-manual-2.6.32_2.6.32-12_all.deb
 f59fe9c57142b65ad1884fd0c2368168c3826f14964f7ea00988609319342c79 473568 linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
 e871d4be9a07efb080c98c68ab8d80bdf4f33f4823cf628dfb62314682f68d50 26964848 linux-image-2.6.32-5-486_2.6.32-12_i386.deb
 31a2eb2e08192f9a68a4762edffdcd0f3e88822899393ba5660ba150b4fec987 474742 linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
 baee747dfcac221bb852ff8bf9d19cec643e8bbef73db69d2cdf47bd57734ea3 27101906 linux-image-2.6.32-5-686_2.6.32-12_i386.deb
 9756945d16f73948ee9e5a0be09842c7a28e1470c6111434d60d9f0f70f07ddd 476450 linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 92ebc907ee0f30edb73bab025a252d49340347324b6e9ffda5026042b9a12d6c 27230528 linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 320e2aa4b6694cd81bd40572ed81c44db696b37edf48c556ac6880f8fc069f8d 468936 linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
 8f06cbcf29e59cb12157c803c28cc86514cd38808ba61d26d720367b937b2f88 28191264 linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
 79bbeaf2a9d40a5105459aab64a0bef3f78869abed71e9c6874646f3b0ee7810 3868106 linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
 374abc0e9bc3ad3bce51cdd5e6a88e6638368412db73fc12ef51aeff459a8657 480784 linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 1e19507b90f2c48f94e47b954a104b908c17d8db16c80f97adcb850706ec6a4f 27386558 linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 29b2ed34e8faf14cd4f8251f17c44645ee9d878f8810432cc4eb69212dd5dfb5 3918734 linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
 2890b40f3fcc4e058fde7681ed7baebb34a9b1317314e772cc55a69ffe2e15e0 126484 linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
 2c925d67581ad8798b2b1c709f36b4a15829b4b6394313ae96a1dbb67d956ac4 126546 linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
 045c5e451e6bbe139ad447faaa36b01cd60747c00a5a9a7aabe514c70a82c558 825400 linux-libc-dev_2.6.32-12_i386.deb
 00e52100b242f0a02e304c01504f2951a091fb072e76dcfef08fd6ad0fbf6cba 475182 linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 7bbadcf3c188111d834837f6c095adb14585e3ace16fb74c8b1c3552a1cc5cf8 27157134 linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 8eef56d0e5382f3242f3864345a71d82802ddffdab4e9e4089e6c0ef6f1feb81 476428 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 d4dc59eadd5368190bbaa2e25f3ae3c3d074a212a00897dc1eaad9d6784cbe54 27286894 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 d5f2dc52c3c14b79b0f609ee5a278b16539dd6e6fea1ad77daccc6a388e68eba 3901032 linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
 0232bf8336025c74060406ab287eb20bda6c43caf7017b7bb0010876c66b9186 479894 linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
 4aaeaa86d688161e59ed50dbaae9ade103a27f333d4cac069445f15c89d02b8b 27313660 linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
 4904a2d2fc6672ab4084a35248a1bfec4a456911020eae5592e197305334bd71 126478 xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb
 11e9d762c44f0ee6b2de5cdfa35f00b4e41fe94ee6df102c6fc129749726a849 3881290 linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb
Files: 
 d77784c7b48db669c91073d55ed55d78 6609 kernel optional linux-2.6_2.6.32-12.dsc
 8fb52a271ff7eac7388f150d36e6bfd7 3296040 kernel optional linux-2.6_2.6.32-12.diff.gz
 2ce71c8379f00062c2978628ec43df42 142518 devel optional linux-support-2.6.32-5_2.6.32-12_all.deb
 e6b6502e9c4de0766808f6f2c587212f 2717684 kernel optional linux-patch-debian-2.6.32_2.6.32-12_all.deb
 f43c2285f49262bac7d2698c9b4d30cd 138482 kernel optional linux-base_2.6.32-12_all.deb
 25e5d886fe6ccaa4d98bf9014b74e02c 131390 kernel optional firmware-linux-free_2.6.32-12_all.deb
 e2427fe4f20e2a403a357c8dfe9d6fa1 64381580 kernel optional linux-source-2.6.32_2.6.32-12_all.deb
 35f3bfc35419ae3b13d38ac5d1db498c 6036760 doc optional linux-doc-2.6.32_2.6.32-12_all.deb
 b74a6d887320301db2ff484a283f9306 2705140 doc optional linux-manual-2.6.32_2.6.32-12_all.deb
 fe2deda5f0005e209ebdb6521de6af18 473568 kernel optional linux-headers-2.6.32-5-486_2.6.32-12_i386.deb
 65fcc2afe394777271290577b6fc3aee 26964848 kernel optional linux-image-2.6.32-5-486_2.6.32-12_i386.deb
 f4155d5272ea776d4a83f39bf045ee26 474742 kernel optional linux-headers-2.6.32-5-686_2.6.32-12_i386.deb
 e2ed24d7e3f167860630c11a59e95234 27101906 kernel optional linux-image-2.6.32-5-686_2.6.32-12_i386.deb
 cb906731f20b1862c226add212bdccd9 476450 kernel optional linux-headers-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 27135f3d7d1abc1b6802945d74b650c3 27230528 kernel optional linux-image-2.6.32-5-686-bigmem_2.6.32-12_i386.deb
 76dab2c0bae48b11c4fd41d1d71a7130 468936 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-12_i386.deb
 ca6d44b717210a2bb496358b8addea72 28191264 kernel optional linux-image-2.6.32-5-amd64_2.6.32-12_i386.deb
 87dcc87471570d9063b443ccf32fd24c 3868106 kernel optional linux-headers-2.6.32-5-common_2.6.32-12_i386.deb
 a560275b5e2e3cc0e7fe1a5b621494c8 480784 kernel optional linux-headers-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 55ec297af9e1dbb74b51d3b289159b10 27386558 kernel optional linux-image-2.6.32-5-openvz-686_2.6.32-12_i386.deb
 54bc419b9a2d8f0477b830ad67e6c766 3918734 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-12_i386.deb
 eac9bbf671ffff1b8ca759dda801ca38 126484 kernel optional linux-headers-2.6.32-5-all_2.6.32-12_i386.deb
 b1ff600674efa6b13ad1cca2c7c21f84 126546 kernel optional linux-headers-2.6.32-5-all-i386_2.6.32-12_i386.deb
 1fcfd3dcb77efa020818c591a1520d90 825400 devel optional linux-libc-dev_2.6.32-12_i386.deb
 bb8e9607e47deb162c32539835d8cb8e 475182 kernel optional linux-headers-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 b77f652310ce2245601f438633314bcc 27157134 kernel optional linux-image-2.6.32-5-vserver-686_2.6.32-12_i386.deb
 453eeaaed30a35ccb170f8f9e5a2c746 476428 kernel optional linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 d89e38bba114f5b8c4063503f65a007a 27286894 kernel optional linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-12_i386.deb
 d904eb04c6e95278ae22330357d2858a 3901032 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-12_i386.deb
 db95cc788d9598c3d49aef5fe58591db 479894 kernel optional linux-headers-2.6.32-5-xen-686_2.6.32-12_i386.deb
 fa34a8d1266067f7e7ae5539edc9cdad 27313660 kernel optional linux-image-2.6.32-5-xen-686_2.6.32-12_i386.deb
 72e50c20063ca7e791fe3ca6fff3503f 126478 kernel optional xen-linux-system-2.6.32-5-xen-686_2.6.32-12_i386.deb
 a82005c31c67bd2fb8ad5ef4a498abe2 3881290 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-12_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBS9xy8ue/yOyVhhEJAQoovA/9E5y3jUpnt9b+zauMUCKGHZ8jaRehmfvz
k8JDZQsrN245erOuMXSvAG3lMWhVZVpKskeCswGD8bluXj6283PVl+iyOCG/rkUy
SaFn1dU1emsJcPoy1u8EvMTWMKLruhIGfR9p+XRfd01n1IiqA29dF42gEoiXj1PA
RVIBUekW/kNwjWhsZB1p3EE9E5kv/+FXZlQqPd9BjMLMkM8j06lhoKabCW0a6wbK
DWhbsW1Oqiul3RLhhtWNS/Rfs9gnyd3FAVzLDdQ9E+zPRVfljxqBSSbpjFChnBo+
BUEGuF0cBpiCuxLSFCMMPokPRT/XPENiT+jj7yuVxpIcDDAJWZxDugTy4+Xx81Ry
4g3HsFupE2DxmBCFoYqV/m3BXbEk7I6YO1EjuLwPPvsNJI07YOz35jE1JLVepDdY
Kx/7kLlZ9rdmXeKW66+vj1bkV47NzLwAdMUjWIWg1kxK8p1PlzKsBL4R34sziz6Y
xDkKwnV6iZbhWDvRI3iaz9ilbQoCrrvBXhGI+ByT4TrLJhNmBoOUHydEpJVP//PT
69aKDBoAxEvE1quDK+cK/YjJwh8l5sevV1nHWht7cp+SuqMYDs57sWdZvz7VpPt+
tvInRm5ha6Q1zLvO7G8a28gRFu79NFzlWSzdkoaqHrwiMosjrIhejjncA27JYx5H
3jNhTNzonL0=
=nwdh
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 04 May 2010 03:00:36 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Jul 2010 07:43:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:31:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.